<script>
import config from "../../config";
import { required, email } from "vuelidate/lib/validators";
/**
 * Login component
 */

export default {
  data() {
    return {
      config: config,
      error: "",
      login: {
        email: "",
        password: "",
      },
    };
  },
  validations: {
    login: {
      email: {
        required,
        email,
      },
      password: {
        required,
      },
    },
  },
  methods: {
    logInIt() {
      this.$v.login.$touch();
      if (this.$v.login.$invalid) {
        return;
      } else {
        this.login.login_type = "client";
        this.$auth.login(this.login, (type) => {
          this.$router.push({ name: type });
        });
      }
    },
  },
};
</script>

<template>
  <div>
    <div class="account-pages my-5 pt-5">
      <div class="container">
         <div class="row justify-content-center">
          <div class="col-md-8 col-lg-6 col-xl-5 login-main">
            <div class="card overflow-hidden">
              <div class="bg-soft-primary">
                <div class="row">
                  <div class="col-12 text-center">
                    <div class="text-primary p-4">
                      <h3 class="text-primary">{{ trans.get('__JSON__.Welcome Back !') }}</h3>
                      <p class="font-size-17">{{ trans.get('__JSON__.Sign in to continue to Ressto Panel.')}}</p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-body pt-0">
                <!-- <div>
                  <div class="avatar-md profile-user-wid mb-4 avatar-logo-main">
                    <span class="avatar-title rounded-circle bg-light">
                      <img :src="config.applogo" alt />
                    </span>
                  </div>
                </div> -->

                <b-form class="p-2 mt-4" @submit.prevent="logInIt">
                  <div class="alert alert-danger" v-show="this.error">{{ this.error }}</div>
                  <slot />
                  <b-form-group
                    id="input-group-1"
                    :label="this.trans.get('__JSON__.Email')"
                    label-for="input-1"
                  >
                    <b-form-input
                      id="input-1"
                      name="email"
                      ref="email"
                      v-model="$v.login.email.$model"
                      type="text"
                      :placeholder="this.trans.get('__JSON__.Enter email')"
                      :class="{ 'is-invalid':  $v.login.email.$error }"
                    ></b-form-input>
                    <div v-if="$v.login.email.$error" class="invalid-feedback">
                      <span
                        v-if="!$v.login.email.required"
                      >{{ trans.get('__JSON__.Please enter email') }}</span>
                      <span
                        v-if="!$v.login.email.email"
                      >{{ trans.get('__JSON__.This value should be a valid email') }}</span>
                    </div>
                  </b-form-group>

                  <b-form-group
                    id="input-group-2"
                    :label="this.trans.get('__JSON__.Password')"
                    label-for="input-2"
                  >
                    <b-form-input
                      id="input-2"
                      v-model="$v.login.password.$model"
                      name="password"
                      type="password"
                      :placeholder="this.trans.get('__JSON__.Enter password')"
                      :class="{ 'is-invalid':  $v.login.password.$error  }"
                    ></b-form-input>
                    <div v-if="$v.login.password.$error" class="invalid-feedback">
                      <span
                        v-if="!$v.login.password.required"
                      >{{ trans.get('__JSON__.Please enter password')}}</span>
                    </div>
                  </b-form-group>
                  <div>
                    <button
                      class="btn btn-primary btn-block"
                      @keyup.enter="logInIt"
                    >{{ trans.get('__JSON__.Log In') }}</button>
                  </div>
                  <div class="col-sm-12">
                    <div class="row">
                      <div class="col-sm-12">
                        <div class="mt-3 text-center">
                          <router-link to="forgot-password" class="text-muted">
                            <i class="mdi mdi-lock mr-1"></i>
                            {{ trans.get('__JSON__.Forgot your password') }}?
                          </router-link>
                        </div>
                      </div>
                    </div>
                  </div>
                </b-form>
              </div>
              <!-- end card-body -->
            </div>
            <!-- end card -->
          </div>
          <!-- end col -->
        </div>
         <!-- end row -->
      </div>
    </div>
  </div>
</template>
